Index Page mxv_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void mxv_c ( ConstSpiceDouble    m1  [3][3],
                    ConstSpiceDouble    vin [3],
                    SpiceDouble         vout[3]    )

#### Abstract

       Multiply a 3x3 double precision matrix with a 3-dimensional
       double precision vector.

#### Required_Reading

       None.

#### Keywords

       MATRIX,  VECTOR

#### Brief_I/O

       VARIABLE  I/O              DESCRIPTION
       --------  ---  --------------------------------------------------
       m1        I   3x3 double precision matrix.
       vin       I   3-dimensional double precision vector.
       vout      O   3-dimensinoal double precision vector. vout is
                     the product m1*vin.

#### Detailed_Input

       m1         is an arbitrary 3x3 double precision matrix.

       vin        is an arbitrary 3-dimensional double precision vector.

#### Detailed_Output

       vout       is a 3-dimensional double precision vector. vout is
                  the product m1 * v. vout may overwrite vin.

#### Parameters

       None.

#### Exceptions

       Error free.

#### Files

       None.

#### Particulars

       The intermediate results of the operation performed by this routine
       are buffered in a temporary vector which is later moved to the output
       vector.  Thus vout can be actually be vin if desired without
       interfering with the computation.

#### Examples

       Let

          m1 = |  0.  1.  0. |   and  vin = | 1. |
               |             |              |    |
               | -1.  0.  0. |              | 2. |
               |             |              |    |
               |  0.  0.  1. |              | 3. |

       Then the call

          mxv_c ( m1, vin, vout );

       produces the vector

          vout = |  2. |
                 |     |
                 | -1. |
                 |     |
                 |  3. |

#### Restrictions

       The user is responsible for checking the magnitudes of the
       elements of matrix and vin so that a floating point overflow does
       not occur.

#### Literature_References

       None.

#### Author_and_Institution

       Ed Wright       (JPL)
       W.M. Owen       (JPL)

#### Version

       -CSPICE Version 1.0.0, 16-APR-1999 (EDW)

#### Index_Entries

       matrix times 3-dimensional vector

#### Link to routine mxv_c source file mxv_c.c

    Wed Apr  5 17:54:39 2017